import request from '@/utils/request'

// 查询会员看课统计-按课程统计列表
export function listUserWatchCourseStatistics(query) {
  return request({
    url: '/course/userWatchCourseStatistics/list',
    method: 'get',
    params: query
  })
}

// 查询会员看课统计-按课程统计详细
export function getUserWatchCourseStatistics(id) {
  return request({
    url: '/course/userWatchCourseStatistics/' + id,
    method: 'get'
  })
}

// 新增会员看课统计-按课程统计
export function addUserWatchCourseStatistics(data) {
  return request({
    url: '/course/userWatchCourseStatistics',
    method: 'post',
    data: data
  })
}

// 修改会员看课统计-按课程统计
export function updateUserWatchCourseStatistics(data) {
  return request({
    url: '/course/userWatchCourseStatistics',
    method: 'put',
    data: data
  })
}

// 删除会员看课统计-按课程统计
export function delUserWatchCourseStatistics(id) {
  return request({
    url: '/course/userWatchCourseStatistics/' + id,
    method: 'delete'
  })
}

// 导出会员看课统计-按课程统计
export function exportUserWatchCourseStatistics(query) {
  return request({
    url: '/course/userWatchCourseStatistics/export',
    method: 'get',
    params: query
  })
}

// 查询会员看课统计-按课程统计明细汇总
export function listUserWatchCourseStatisticsTotal(query) {
  return request({
    url: '/course/userWatchCourseStatistics/listTotal',
    method: 'get',
    params: query
  })
}

// 导出会员看课统计-按课程统计汇总
export function exportUserWatchCourseStatisticsTotal(query) {
  return request({
    url: '/course/userWatchCourseStatistics/exportTotal',
    method: 'get',
    params: query
  })
}
